List usage summary for a current
GET
/v1/tenants/current/usage-summarycurl -X GET 'https://api.embodiflow.io/v1/tenants/current/usage-summary' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- categorystring
- projectIdstring (uuid)
- userIdstring (uuid)
Responses
Success
- dataobjectrequired
- tenantIdstringrequired
- categorystringrequiredAllowed valuesstorageworkflowcomputeegressall
- billingPeriodStartstringrequired
- billingPeriodEndstringrequired
- billingStatestring | nullrequired
- metersarray<UsageQuotaMeterLineDto>required
- projectIdstring
- userIdstring
Response example
{
"data": {
"tenantId": "string",
"category": "storage",
"billingPeriodStart": "string",
"billingPeriodEnd": "string",
"billingState": "string",
"meters": [
{
"meterCode": "string",
"displayName": "string",
"quantity": "string",
"unit": "string",
"includedQuantity": "string",
"limitQuantity": "string",
"status": "warn",
"reasonCode": "TENANT_FROZEN",
"configuredWarnRatio": 0,
"effectiveWarnRatio": 0,
"configuredBlockRatio": 0,
"effectiveBlockRatio": 0
}
],
"projectId": "string",
"userId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1